-----------------------------------------------------------------------------------------------
-- Client Lua Script for WhereYouAt
-- Copyright (c) NCsoft. All rights reserved
-----------------------------------------------------------------------------------------------
 
-----------------------------------------------------------------------------------------------
-- WhereYouAt Module Definition
-----------------------------------------------------------------------------------------------
local WhereYouAt = {} 
 
-----------------------------------------------------------------------------------------------
-- Constants
-----------------------------------------------------------------------------------------------
-- e.g. local kiExampleVariableMax = 999
 
-----------------------------------------------------------------------------------------------
-- Initialization
-----------------------------------------------------------------------------------------------
function WhereYouAt:new(o)
    o = o or {}
    setmetatable(o, self)
    self.__index = self 

    -- initialize variables here

    return o
end

function WhereYouAt:Init()
	local bHasConfigureFunction = false
	local strConfigureButtonText = ""
	local tDependencies = {
		-- "UnitOrPackageName",
	}
    Apollo.RegisterAddon(self, bHasConfigureFunction, strConfigureButtonText, tDependencies)
end
 

-----------------------------------------------------------------------------------------------
-- WhereYouAt OnLoad
-----------------------------------------------------------------------------------------------
function WhereYouAt:OnLoad()
	Apollo.RegisterEventHandler("TargetUnitChanged", "OnTargetChange", self)
end

-----------------------------------------------------------------------------------------------
-- WhereYouAt Functions
-----------------------------------------------------------------------------------------------

function WhereYouAt:OnTargetChange(unitOwner)
	if (unitOwner == nil) then
		-- no target
		return
	end
	
	if (unitOwner == GameLib.GetPlayerUnit()) then
		-- target is the player, exit
		return
	end
	
	if (unitOwner:IsInYourGroup()) then
		-- show the hint arrow. if not in group it shouldn't show an arrow

		unitOwner:ShowHintArrow()
	end
end

-----------------------------------------------------------------------------------------------
-- WhereYouAt Instance
-----------------------------------------------------------------------------------------------
local WhereYouAtInst = WhereYouAt:new()
WhereYouAtInst:Init()
